Bug 7313 - Untranslatable strings in 'search to hold' feature
Summary: Untranslatable strings in 'search to hold' feature
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-03 07:29 UTC by Katrin Fischer
Modified: 2018-10-11 16:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Missing strings in patron account (8.71 KB, image/png)
2011-12-03 07:45 UTC, Katrin Fischer
Details
Missing strings in toolbar on search results page (23.03 KB, image/png)
2011-12-03 07:46 UTC, Katrin Fischer
Details
Bug 7313: Untranslatable strings in 'Search to hold' feature (5.11 KB, patch)
2011-12-03 08:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7313: Untranslatable strings in 'Search to hold' feature (5.17 KB, patch)
2011-12-04 04:45 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-12-03 07:29:23 UTC

    
Comment 1 Katrin Fischer 2011-12-03 07:45:58 UTC
Created attachment 6550 [details]
Missing strings in patron account
Comment 2 Katrin Fischer 2011-12-03 07:46:22 UTC
Created attachment 6551 [details]
Missing strings in toolbar on search results page
Comment 3 Katrin Fischer 2011-12-03 08:56:50 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2011-12-04 04:45:29 UTC
Created attachment 6559 [details] [review]
Bug 7313: Untranslatable strings in 'Search to hold' feature

Changed the javascript to include markup for translation _(...) in result
list and detail page tool bars.

Also changed the text shown for each result to match the text in the toolbar
to make things more consistent.

To test:
- Apply patch
- Run "perl translate update <your language code>"
- Open .po file for staff and check for "Place hold on" and "Forget"
- Translate those
- Run "perl translate install <your language code>"
- Activate "Search for hold" feature in patron account
- Do a search and check tool bar on top of result list
- Check link text shown in result list
- Check detail page

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Paul Poulain 2011-12-15 15:47:26 UTC
QA comment : template change only, trivial patch, needed for translation

passed QA

patch pushed, please test